Skip to main content
POST
/
v1
/
boards
/
{boardId}
/
assets
Upload a file
curl --request POST \
  --url https://api.chatgrid.ai/v1/v1/boards/{boardId}/assets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "object": "asset",
  "data": {
    "id": "aabb1122-3344-5566-7788-99aabbccddee",
    "url": "https://storage.chatgrid.ai/board-files/usr_123/brd_456/1711843260000-report.pdf",
    "filename": "report.pdf",
    "size": 245760,
    "content_type": "application/pdf",
    "created_at": "2026-03-15T11:00:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Path Parameters

boardId
string<uuid>
required

Board UUID.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Body

multipart/form-data
file
file
required

The file to upload.

Response

File uploaded.

object
enum<string>
Available options:
asset
data
object